> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow

> Get Workflow



## OpenAPI

````yaml /api-reference/workflows/openapi.json get /workflows
openapi: 3.0.0
info:
  title: Workflows API
  description: Documentation for the HoopAI Platform Workflows API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Workflows
    description: Documentation for workflows API
paths:
  /workflows:
    get:
      tags:
        - Workflows
      summary: Get Workflow
      description: Get Workflow
      operationId: get-workflow
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: locationId
          required: true
          in: query
          example: ve9EPM428h8vShlRW1KT
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWorkflowSuccessfulResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer:
            - workflows.readonly
components:
  schemas:
    GetWorkflowSuccessfulResponseDto:
      type: object
      properties:
        workflows:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowSchema'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    WorkflowSchema:
      type: object
      properties:
        id:
          type: string
          example: 78559bb3-b920-461e-b010-7b2a2816d2a9
        name:
          type: string
          example: First Workflow
        status:
          type: string
          example: draft
        version:
          type: number
          example: 2
        createdAt:
          type: string
          example: '2021-05-26T11:33:49.000Z'
        updatedAt:
          type: string
          example: '2021-05-26T11:33:49.000Z'
        locationId:
          type: string
          example: eBG6WapS3v4ZqwA45MTxtYJ
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````